NAME

OpenAPI::Client::OpenAI::Path::fine_tuning-checkpoints-fine_tuned_model_checkpoint-permissions-permission_id - Documentation for the /fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions/{permission_id} path.

OPERATIONS

DELETE /fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions/{permission_id}

deleteFineTuningCheckpointPermission

$client->delete_fine_tuning_checkpoint_permission({
    body => { ... },
});

NOTE: This endpoint requires an admin API key .

Organization owners can use this endpoint to delete a permission for a fine-tuned model checkpoint.

Path/query parameters

  • fine_tuned_model_checkpoint (in path, required, string) - The ID of the fine-tuned model checkpoint to delete a permission for.

  • permission_id (in path, required, string) - The ID of the fine-tuned model checkpoint permission to delete.

Responses

200 - OK

Content-Type: application/json

Example:

{
   "deleted" : false,
   "id" : "string",
   "object" : "checkpoint.permission"
}

SCHEMAS

DeleteFineTuningCheckpointPermissionResponse

Properties:

  • deleted (boolean, required) - Whether the fine-tuned model checkpoint permission was successfully deleted.

  • id (string, required) - The ID of the fine-tuned model checkpoint permission that was deleted.

  • object (string, required) - The object type, which is always "checkpoint.permission".

    Allowed values: checkpoint.permission

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.